Package org.eclipse.rdf4j.http.protocol.transaction

## Class TransactionWriter

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.TransactionWriter

-     public class TransactionWriter
      extends Object

  Serializes of an RDF transaction.
  Author:
    Arjohn Kampman, Leo Sauermann

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serialize​(Iterable<? extends TransactionOperation> txn, OutputStream out)` | serialize the passed list of operations to the passed writer.
    `protected void` | `serialize​(AddStatementOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(ClearNamespacesOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(ClearOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(RemoveNamespaceOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(RemoveStatementsOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(SetNamespaceOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(SPARQLUpdateOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(StatementOperation op, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(TransactionOperation op, XMLWriter xmlWriter)` | Serializes the supplied operation.
    `protected void` | `serialize​(BNode bnode, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(IRI uri, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(Literal literal, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(Resource[] contexts, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(Resource resource, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(Triple triple, XMLWriter xmlWriter)` |
    `protected void` | `serialize​(Value value, XMLWriter xmlWriter)` |
    `protected void` | `serializeNull​(XMLWriter xmlWriter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionWriter

          public TransactionWriter()

  - ### Method Detail

    - #### serialize

          public void serialize​(Iterable<? extends TransactionOperation> txn,
                                OutputStream out)
                         throws IOException

      serialize the passed list of operations to the passed writer.
      Parameters:
        `txn` - the operations
        `out` - the output stream to write to
      Throws:
        `IOException`
        `IllegalArgumentException` - when one of the parameters is null

    - #### serialize

          protected void serialize​(TransactionOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Serializes the supplied operation.
      Parameters:
        `op` - The operation to serialize
        `xmlWriter` -
      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(AddStatementOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(SPARQLUpdateOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(RemoveStatementsOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(StatementOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(ClearOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(SetNamespaceOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(RemoveNamespaceOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(ClearNamespacesOperation op,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(Resource[] contexts,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(Value value,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(Resource resource,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(IRI uri,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(BNode bnode,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(Literal literal,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`

    - #### serializeNull

          protected void serializeNull​(XMLWriter xmlWriter)
                                throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize​(Triple triple,
                                   XMLWriter xmlWriter)
                            throws IOException

      Throws:
        `IOException`